/**************************
	Digg Sidebar
	By Neo101
	Version 1.0.0
**************************/

function clickTab(activeTabNumber){
	var nodes = document.getElementsByTagName('div');
	
	for(var i=0; i<nodes.length; i++){
		if(nodes[i].id.indexOf('data') == 0){
			nodes[i].style.display = 'none'
		}
	}
	
	var nodes = document.getElementsByTagName('span');
	
	for(var i=0; i<nodes.length; i++){
		if(nodes[i].id.indexOf('tab') == 0){
			nodes[i].className = 'unselected-tab'
		}
	}
	
	document.getElementById("tab" + activeTabNumber).className = 'selected-tab'
	document.getElementById("data" + activeTabNumber).style.display = 'block'
	
	if(activeTabNumber == 2 && loadedUpcoming == false){
		loadedUpcoming = true
		viewUpcomingFeed()
	}
	if(activeTabNumber == 3){
		document.getElementById('keywords').select()
	}
}


function changeCategory(element){
	categoryFeed = element.value
	category = categoryFeed.replace(/container/,'').replace(/\.xml/,'')
	
	viewPopularFeed()
	
	setSubCategory('subCategoryDiv', category, categoryFeed)
	
	writeSetting('categoryFeed', categoryFeed)
	writeSetting('category', category)
	
}


function changeCategoryUpcoming(element){
	categoryUpcomingFeed = element.value
	categoryUpcoming = categoryUpcomingFeed.replace(/container/,'').replace(/dig\.xml/,'')
	
	viewUpcomingFeed()
	
	setSubCategory('subCategoryUpcomingDiv', categoryUpcoming, categoryUpcomingFeed)
	
	writeSetting('categoryUpcomingFeed', categoryUpcomingFeed)
	writeSetting('categoryUpcoming', categoryUpcoming)
}


function changeSubCategory(element){
	categoryFeed = element.value
	
	viewPopularFeed()
	
	writeSetting('categoryFeed', categoryFeed)
}

function changeSubCategoryUpcoming(element){
	categoryUpcomingFeed = element.value
	
	viewUpcomingFeed()
	
	writeSetting('categoryUpcomingFeed', categoryUpcomingFeed)
}


function setSubCategory(elementId, category, feedUrl){
	if(category == 'index'){
		document.getElementById(elementId).innerHTML = ''
		return
	}
	
	if(elementId.search(/Upcoming/i) == -1){
		var functionName = 'changeSubCategory'
	} else {
		var functionName = 'changeSubCategoryUpcoming'
	}
	
	var html = '<select onchange="'+functionName+'(this)">'
	var array = feeds[ category ]
	if(array == null){
		alert('Error 81: '+category)
		document.getElementById(elementId).innerHTML = ''
		return
	}
	for(var i=0; i<array.length; i++){
		if(elementId.search(/Upcoming/i) == -1){
			var value = array[i] + '.xml'
		} else {
			var value = array[i] + 'dig.xml'
		}
		var name = array[i].replace(/index/,'').replace(/_/g,' ').replace(/container.*/g,'All')
		if(value != feedUrl){
			html += '<option value="' + value + '">' + name + '</option>'
		}
		else {
			html += '<option value="' + value + '" selected>' + name + '</option>'
		}
	}
	html += '</select>'
	document.getElementById(elementId).innerHTML = html
}


function expandCollapse( elementId ){
	var nextElement = document.getElementById(elementId)
	if(nextElement.style.display == 'none'){
		nextElement.style.display = 'block'
		writeSetting(elementId, '1')
	}
	else{
		nextElement.style.display = 'none'
		writeSetting(elementId, '0')
	}
	
}


function showLink(link){
	external.get_tab(SECURITY_ID, external.cur_sel).window.status = link
}


function hideLink(){
	external.get_tab(SECURITY_ID, external.cur_sel).window.status = ''
}


function diggThis(){
	var title = encodeURIComponent( external.get_tab(SECURITY_ID, external.cur_sel).document.title )
	var url = external.get_tab(SECURITY_ID, external.cur_sel).document.URL
	
	external.m2_callerName(SECURITY_ID, PLUGIN_NAME)
	window.open('http://digg.com/submit?phase=2&url=' + url + '&title=' + title)
}